cd audio plugin compile error

March 03, 2013 08:08 - szymon krasuski

Status: Closed Start date: March 03, 2013

Priority: Major Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.4   

Affects version:    

Description

Entering directory cdaudio-ng.

Successfully generated dependencies.

In file included from /usr/include/cdio/types.h:34:0,

from /usr/include/cdio/cdio.h:35,

from cdaudio-ng.c:28:

/usr/include/cdio/cdio_config.h:306:0: error: "PACKAGE" redefined [-Werror]

In file included from cdaudio-ng.c:21:0:

../../config.h:115:0: note: this is the location of the previous definition

In file included from /usr/include/cdio/types.h:34:0,

from /usr/include/cdio/cdio.h:35,

from cdaudio-ng.c:28:

/usr/include/cdio/cdio_config.h:309:0: error: "PACKAGE_BUGREPORT" redefined [-Werror]

In file included from cdaudio-ng.c:21:0:

../../config.h:118:0: note: this is the location of the previous definition

In file included from /usr/include/cdio/types.h:34:0,

from /usr/include/cdio/cdio.h:35,

from cdaudio-ng.c:28:

/usr/include/cdio/cdio_config.h:312:0: error: "PACKAGE_NAME" redefined [-Werror]

In file included from cdaudio-ng.c:21:0:

../../config.h:121:0: note: this is the location of the previous definition

In file included from /usr/include/cdio/types.h:34:0,

from /usr/include/cdio/cdio.h:35,

from cdaudio-ng.c:28:

/usr/include/cdio/cdio_config.h:315:0: error: "PACKAGE_STRING" redefined [-Werror]

In file included from cdaudio-ng.c:21:0:

../../config.h:124:0: note: this is the location of the previous definition

In file included from /usr/include/cdio/types.h:34:0,

from /usr/include/cdio/cdio.h:35,

from cdaudio-ng.c:28:

/usr/include/cdio/cdio_config.h:318:0: error: "PACKAGE_TARNAME" redefined [-Werror]

In file included from cdaudio-ng.c:21:0:

../../config.h:127:0: note: this is the location of the previous definition

In file included from /usr/include/cdio/types.h:34:0,

from /usr/include/cdio/cdio.h:35,

from cdaudio-ng.c:28:

/usr/include/cdio/cdio_config.h:324:0: error: "PACKAGE_VERSION" redefined [-Werror]

In file included from cdaudio-ng.c:21:0:

../../config.h:133:0: note: this is the location of the previous definition

In file included from /usr/include/cdio/types.h:34:0,

from /usr/include/cdio/cdio.h:35,

from cdaudio-ng.c:28:

/usr/include/cdio/cdio_config.h:352:0: error: "VERSION" redefined [-Werror]

In file included from cdaudio-ng.c:21:0:

../../config.h:142:0: note: this is the location of the previous definition

cc1: all warnings being treated as errors

Failed to compile cdaudio-ng.c (plugin)!

make[5]: *** [cdaudio-ng.plugin.o] Error 1

make[4]: *** [all] Error 2

make[3]: *** [subdirs] Error 2

make[2]: *** [all] Error 2
make[1]: *** [subdirs] Error 2

make: *** [all] Error 2

ubuntu lts 12.04 x64 do I have to use custom ppa to update cdaudio?

History

#1 - March 05, 2013 14:09 - Michael Schwendt

That's a problem in libcdio < 0.90. Its cdio_config.h redefines aseveral preprocessor variables that use too much generic names and conflict when an

application defines them, too.

Try the temporary work-around mentioned at the beginning of the cdio_unconfig.h file.

Alternatively, upgrade to libcdio >= 0.90 which adds an own CDIO_ namespace to those variables.

#2 - March 06, 2013 15:41 - szymon krasuski

I have removed *.dev files of cdaudio support. there is no way to easily upgrade libcdio @precise. So 12.04 LTE is NOT your target/base system? Is

13.04 then?

#3 - March 07, 2013 19:35 - Michael Schwendt

I'm not an Audacious developer, and I don't run Ubuntu. I haven't examined your build problem in details either. I've only mentioned what I

remembered about cdio_unconfig.h and what could be relevant. Audacious 3.4-alpha1 built without such problems for Fedora 18 (libcdio 0.83) and

Fedora 19 development (libcdio 0.90).

#4 - March 09, 2013 20:50 - John Lindgren

- Affects version deleted (3.4)

libcdio's headers are broken, as Michael said.  As a workaround, we used to #undef the macros and then #include our own config.h later, but doing so

leads to other problems (http://redmine.audacious-media-player.org/issues/256).  It is relatively simple to fix the headers.  I will document how to do

so in the release notes for the next alpha/beta version.

#5 - March 09, 2013 21:58 - John Lindgren

- Status changed from New to Closed

- % Done changed from 0 to 100

Found another workaround:

https://github.com/audacious-media-player/audacious-plugins/commit/a4a525f1de7a3cc9ac5fd974161165a632edbce1
